//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Itemset {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Itemset<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x35AD299F50D91B24<br />
/// </para>
/// </remarks>
public static int CreateItemset(bool p0){
return Function.Call<int>((Hash)0x35AD299F50D91B24uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Itemset<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDE18220B1C183EDA<br />
/// </para>
/// </remarks>
public static void DestroyItemset(int /* ScrHandle */ itemset){
Function.Call((Hash)0xDE18220B1C183EDAuL, itemset);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Itemset<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB1B1EA596344DFAB<br />
/// </para>
/// </remarks>
public static bool IsItemsetValid(int /* ScrHandle */ itemset){
return Function.Call<bool>((Hash)0xB1B1EA596344DFABuL, itemset);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Itemset<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE3945201F14637DD<br />
/// </para>
/// </remarks>
public static bool AddToItemset(int /* ScrHandle */ item, int /* ScrHandle */ itemset){
return Function.Call<bool>((Hash)0xE3945201F14637DDuL, item, itemset);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Itemset<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x25E68244B0177686<br />
/// </para>
/// </remarks>
public static void RemoveFromItemset(int /* ScrHandle */ item, int /* ScrHandle */ itemset){
Function.Call((Hash)0x25E68244B0177686uL, item, itemset);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Itemset<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD9127E83ABF7C631<br />
/// </para>
/// </remarks>
public static int GetItemsetSize(int /* ScrHandle */ itemset){
return Function.Call<int>((Hash)0xD9127E83ABF7C631uL, itemset);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Itemset<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7A197E2521EE2BAB<br />
/// </para>
/// </remarks>
public static int GetIndexedItemInItemset(int index, int /* ScrHandle */ itemset){
return Function.Call<int>((Hash)0x7A197E2521EE2BABuL, index, itemset);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Itemset<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2D0FC594D1E9C107<br />
/// </para>
/// </remarks>
public static bool IsInItemset(int /* ScrHandle */ item, int /* ScrHandle */ itemset){
return Function.Call<bool>((Hash)0x2D0FC594D1E9C107uL, item, itemset);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Itemset<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x41BC0D722FC04221<br />
/// </para>
/// </remarks>
public static void CleanItemset(int /* ScrHandle */ itemset){
Function.Call((Hash)0x41BC0D722FC04221uL, itemset);
}

}}
